PUT http://webapi.mymarketing.co.il/api/salesLifeCycle/Opportunity/{opportunityId}
Modify existing opportunity
Request Information
URI Parameters
Name
Description
Type
Additional information
opportunity Id to update. Required
Required
Body Parameters
new updated opportunity fields.
ApiUpdateOpportunityName
Description
Type
Additional information
Gets or sets the name of the opportunity.
Gets or sets the external user ID.
Required
Gets or sets the external name.
Gets or sets the first name of the customer.
Gets or sets the last name of the customer.
Gets or sets the email address of the customer.
Gets or sets the mobile number of the customer.
Gets or sets the net amount of the opportunity.
Gets or sets the tax applied to the opportunity.
Gets or sets the coupon code used for the opportunity.
Gets or sets the quantity of items in the opportunity.
Gets or sets the total amount of the opportunity.
Gets or sets the shipping address of the opportunity.
Gets or sets the city for the shipping address.
Gets or sets the URL associated with the opportunity.
Gets or sets the date of purchase.
Required
Gets or sets the last update date of the opportunity.
Gets or sets the type of purchase.
Gets or sets the status of purchase.
Gets or sets the store ID associated with the opportunity.
Gets or sets the location type associated with the opportunity.
Gets or sets the extra property 1.
Gets or sets the extra property 2.
Gets or sets the extra property 3.
Gets or sets the extra property 4.
Gets or sets the extra property 5.
Gets or sets the extra property 6.
Gets or sets the extra property 7.
Gets or sets the extra property 8.
Gets or sets the extra property 9.
Gets or sets the extra property 10.
Gets or sets the numeric property 1.
Gets or sets the numeric property 2.
Gets or sets the numeric property 3.
Gets or sets the numeric property 4.
Gets or sets the numeric property 5.
Gets or sets the date property 1.
Gets or sets the date property 2.
Gets or sets the date property 3.
Gets or sets if the contact approved subscription.
Gets or sets if the contact should be created.
Request Formats
application/json, text/json
{
"opportunityName": "sample string 7",
"externalId": "sample string 8",
"externalName": "sample string 9",
"firstName": "sample string 10",
"lastName": "sample string 11",
"email": "sample string 12",
"mobile": "sample string 13",
"netAmount": 14.1,
"tax": 15.1,
"coupon": "sample string 16",
"quantity": 17.1,
"totalAmount": 18.1,
"address": "sample string 19",
"city": "sample string 20",
"products": [
{
"id": "sample string 1",
"name": "sample string 2",
"quantity": 3.1,
"totalamount": 4.1,
"description": "sample string 5",
"sku": "sample string 6",
"type": "sample string 7",
"category": "sample string 8",
"brand": "sample string 9",
"color": "sample string 10",
"size": "sample string 11",
"weight": 12.1,
"unitprice": 13.1,
"shippingprice": 14.1,
"discount": 15.1,
"tax": 16.1,
"eventdate": "2016-12-24T14:12:12",
"scheduleddate": "2016-12-24T14:12:12",
"pickupdate": "2016-12-24T14:12:12",
"coupon": "sample string 17",
"totalprice": 18.1,
"image": "sample string 19"
},
{
"id": "sample string 1",
"name": "sample string 2",
"quantity": 3.1,
"totalamount": 4.1,
"description": "sample string 5",
"sku": "sample string 6",
"type": "sample string 7",
"category": "sample string 8",
"brand": "sample string 9",
"color": "sample string 10",
"size": "sample string 11",
"weight": 12.1,
"unitprice": 13.1,
"shippingprice": 14.1,
"discount": 15.1,
"tax": 16.1,
"eventdate": "2016-12-24T14:12:12",
"scheduleddate": "2016-12-24T14:12:12",
"pickupdate": "2016-12-24T14:12:12",
"coupon": "sample string 17",
"totalprice": 18.1,
"image": "sample string 19"
}
],
"url": "sample string 21",
"expectedPurchaseDate": "2016-12-24T14:12:12",
"lastUpdate": "2016-12-24T14:12:12",
"purchaseType": "sample string 22",
"status": "sample string 23",
"storeId": 24,
"locationType": "Unknown",
"ext1": "sample string 25",
"ext2": "sample string 26",
"ext3": "sample string 27",
"ext4": "sample string 28",
"ext5": "sample string 29",
"ext6": "sample string 30",
"ext7": "sample string 31",
"ext8": "sample string 32",
"ext9": "sample string 33",
"ext10": "sample string 34",
"num1": 1,
"num2": 1,
"num3": 1,
"num4": 1,
"num5": 1,
"date1": "2016-12-24T14:12:12",
"date2": "2016-12-24T14:12:12",
"date3": "2016-12-24T14:12:12",
"subscriptionStatus": true,
"createContact": true
}
application/xml, text/xml
<ApiUpdateOpportunity xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<OpportunityName>sample string 7</OpportunityName>
<ExternalId>sample string 8</ExternalId>
<ExternalName>sample string 9</ExternalName>
<FirstName>sample string 10</FirstName>
<LastName>sample string 11</LastName>
<Email>sample string 12</Email>
<Mobile>sample string 13</Mobile>
<NetAmount>14.1</NetAmount>
<Tax>15.1</Tax>
<Coupon>sample string 16</Coupon>
<Quantity>17.1</Quantity>
<TotalAmount>18.1</TotalAmount>
<Address>sample string 19</Address>
<City>sample string 20</City>
<Products>
<Product>
<Id>sample string 1</Id>
<Name>sample string 2</Name>
<Quantity>3.1</Quantity>
<TotalAmount>4.1</TotalAmount>
<Description>sample string 5</Description>
<Sku>sample string 6</Sku>
<Type>sample string 7</Type>
<Category>sample string 8</Category>
<Brand>sample string 9</Brand>
<Color>sample string 10</Color>
<Size>sample string 11</Size>
<Weight>12.1</Weight>
<UnitPrice>13.1</UnitPrice>
<ShippingPrice>14.1</ShippingPrice>
<Discount>15.1</Discount>
<Tax>16.1</Tax>
<EventDate>2016-12-24T14:12:12</EventDate>
<ScheduledDate>2016-12-24T14:12:12</ScheduledDate>
<PickupDate>2016-12-24T14:12:12</PickupDate>
<Coupon>sample string 17</Coupon>
<TotalPrice>18.1</TotalPrice>
<Image>sample string 19</Image>
</Product>
<Product>
<Id>sample string 1</Id>
<Name>sample string 2</Name>
<Quantity>3.1</Quantity>
<TotalAmount>4.1</TotalAmount>
<Description>sample string 5</Description>
<Sku>sample string 6</Sku>
<Type>sample string 7</Type>
<Category>sample string 8</Category>
<Brand>sample string 9</Brand>
<Color>sample string 10</Color>
<Size>sample string 11</Size>
<Weight>12.1</Weight>
<UnitPrice>13.1</UnitPrice>
<ShippingPrice>14.1</ShippingPrice>
<Discount>15.1</Discount>
<Tax>16.1</Tax>
<EventDate>2016-12-24T14:12:12</EventDate>
<ScheduledDate>2016-12-24T14:12:12</ScheduledDate>
<PickupDate>2016-12-24T14:12:12</PickupDate>
<Coupon>sample string 17</Coupon>
<TotalPrice>18.1</TotalPrice>
<Image>sample string 19</Image>
</Product>
</Products>
<Url>sample string 21</Url>
<ExpectedPurchaseDate>2016-12-24T14:12:12</ExpectedPurchaseDate>
<LastUpdate>2016-12-24T14:12:12</LastUpdate>
<PurchaseType>sample string 22</PurchaseType>
<Status>sample string 23</Status>
<StoreId>24</StoreId>
<LocationType>Unknown</LocationType>
<Ext1>sample string 25</Ext1>
<Ext2>sample string 26</Ext2>
<Ext3>sample string 27</Ext3>
<Ext4>sample string 28</Ext4>
<Ext5>sample string 29</Ext5>
<Ext6>sample string 30</Ext6>
<Ext7>sample string 31</Ext7>
<Ext8>sample string 32</Ext8>
<Ext9>sample string 33</Ext9>
<Ext10>sample string 34</Ext10>
<Num1>1</Num1>
<Num2>1</Num2>
<Num3>1</Num3>
<Num4>1</Num4>
<Num5>1</Num5>
<Date1>2016-12-24T14:12:12</Date1>
<Date2>2016-12-24T14:12:12</Date2>
<Date3>2016-12-24T14:12:12</Date3>
<NewsLetterSubscription>true</NewsLetterSubscription>
<ShouldContactBeCreated>true</ShouldContactBeCreated>
</ApiUpdateOpportunity>
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
Name
Description
Type
Additional information
Response Formats
application/json, text/json
{
"success": 1,
"errors": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
}
}
application/xml, text/xml
<SalesLifeCyclePostResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ActiveTrail.BusinessLogic.Domain.Commerce">
<Errors xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</Errors>
<Success>1</Success>
</SalesLifeCyclePostResponse>